egg-test
3
PACKAGEKIT Library

# egg-test

## Synopsis

    typedef             EggTest;
    gboolean            egg_test_start                      (EggTest *test,
                                                             const gchar *name);
    void                egg_test_end                        (EggTest *test);
    void                egg_test_title                      (EggTest *test,
                                                             const gchar *format,
                                                             ...);
    void                egg_test_title_assert               (EggTest *test,
                                                             const gchar *text,
                                                             gboolean value);
    void                egg_test_assert                     (EggTest *test,
                                                             gboolean value);
    void                egg_test_success                    (EggTest *test,
                                                             const gchar *format,
                                                             ...);
    void                egg_test_failed                     (EggTest *test,
                                                             const gchar *format,
                                                             ...);
    EggTest *           egg_test_init                       (void);
    gint                egg_test_finish                     (EggTest *test);
    guint               egg_test_elapsed                    (EggTest *test);
    void                egg_test_loop_quit                  (EggTest *test);
    void                egg_test_loop_wait                  (EggTest *test,
                                                             guint timeout);
    void                egg_test_loop_check                 (EggTest *test);
    void                egg_test_set_user_data              (EggTest *test,
                                                             gpointer user_data);
    gpointer            egg_test_get_user_data              (EggTest *test);
    gchar *             egg_test_get_data_file              (const gchar *filename);

## Description

## Details

### EggTest

    typedef struct EggTest EggTest;

### egg_test_start ()

    gboolean            egg_test_start                      (EggTest *test,
                                                             const gchar *name);

`test` :

`name` :

Returns :

### egg_test_end ()

    void                egg_test_end                        (EggTest *test);

`test` :

### egg_test_title ()

    void                egg_test_title                      (EggTest *test,
                                                             const gchar *format,
                                                             ...);

`test` :

`format` :

`...` :

### egg_test_title_assert ()

    void                egg_test_title_assert               (EggTest *test,
                                                             const gchar *text,
                                                             gboolean value);

`test` :

`text` :

`value` :

### egg_test_assert ()

    void                egg_test_assert                     (EggTest *test,
                                                             gboolean value);

`test` :

`value` :

### egg_test_success ()

    void                egg_test_success                    (EggTest *test,
                                                             const gchar *format,
                                                             ...);

`test` :

`format` :

`...` :

### egg_test_failed ()

    void                egg_test_failed                     (EggTest *test,
                                                             const gchar *format,
                                                             ...);

`test` :

`format` :

`...` :

### egg_test_init ()

    EggTest *           egg_test_init                       (void);

Returns :

### egg_test_finish ()

    gint                egg_test_finish                     (EggTest *test);

`test` :

Returns :

### egg_test_elapsed ()

    guint               egg_test_elapsed                    (EggTest *test);

`test` :

Returns :

  time in ms

### egg_test_loop_quit ()

    void                egg_test_loop_quit                  (EggTest *test);

`test` :

### egg_test_loop_wait ()

    void                egg_test_loop_wait                  (EggTest *test,
                                                             guint timeout);

`test` :

`timeout` :

### egg_test_loop_check ()

    void                egg_test_loop_check                 (EggTest *test);

`test` :

### egg_test_set_user_data ()

    void                egg_test_set_user_data              (EggTest *test,
                                                             gpointer user_data);

`test` :

`user_data` :

### egg_test_get_user_data ()

    gpointer            egg_test_get_user_data              (EggTest *test);

`test` :

Returns :

### egg_test_get_data_file ()

    gchar *             egg_test_get_data_file              (const gchar *filename);

`filename` :

Returns :